<?php 
    $wp_customize->add_section(
        'offerbar_area',
        array(
            'title' => __( 'Offer Bar Section', 'Luzuk Premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'offerbar_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'offerbar_area_disable',
            array(
                'settings'      => 'offerbar_area_disable',
                'section'       => 'offerbar_area',
                'label'         => __( 'Disable Section', 'Luzuk Premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk Premium' ),
                    'off' => __( 'No', 'Luzuk Premium' )
                ),
            )
        )
    ); 

lzCustomLable($wp_customize, 'offerbararea_padding', 'offerbar_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'offerbar_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'offerbar_areaTpadding',
    array(
        'settings'      => 'offerbar_areaTpadding',
        'section'       => 'offerbar_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'offerbar_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'offerbar_areaBpadding',
    array(
        'settings'      => 'offerbar_areaBpadding',
        'section'       => 'offerbar_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk Premium' )
    )
);

backgroundManager($wp_customize, 'offerbar', 'offerbar_area', $color='#0d61cc', get_template_directory_uri().'/images/default-gray.png', 'img');


    $wp_customize->add_setting(
        'offerbar_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'offerbar_title_heading',
            array(
                'settings'      => 'offerbar_title_heading',
                'section'       => 'offerbar_area',
                'label'         => __( 'Section Text ', 'Luzuk Premium' ),
            )
        )
    );    


    $wp_customize->add_setting(
        'offerbar_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'New Product 30% Offer Sale Special Customers : Lenovo Miix 320 10.1" Full HD Touch laptop + Tablet', 'Luzuk Premium' )
        )
    );
    $wp_customize->add_control(
        'offerbar_title',
        array(
            'settings'      => 'offerbar_title',
            'section'       => 'offerbar_area',
            'type'          => 'textarea',
            'label'         => __( 'Offer Text', 'Luzuk Premium' )
        )
    );

addColorPalatOption($wp_customize, 'offerbararea_sectionttext_color', 'offerbar_area', 'Section Offer Text Color', '#fff');

lzCustomLable($wp_customize, 'offerbararea_button_display', 'offerbar_area', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'offerbararea_button' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'offerbararea_button', array( 'label' => 'Button Display', 'section' => 'offerbar_area', 'settings' => 'offerbararea_button', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'offerbarareabutton',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'View Collection' )
    )
);
$wp_customize->add_control(
    'offerbarareabutton',
    array(
        'settings'      => 'offerbarareabutton',
        'section'       => 'offerbar_area',
        'type'          => 'text',
        'label'         => __( 'Button text', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting('offerbarareabuttonlink',   array('default'=> 'Add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('offerbarareabuttonlink',
    array(
        'settings'      => 'offerbarareabuttonlink',
        'section'       => 'offerbar_area',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'offerbararea_page_ButtonColor', 'offerbar_area', 'Button Text color', '#fff');


